ArcGIS Server系统要求

目录

10.3.X Windows

10.3.X Linux

10.4.X Windows

10.4.X Linux

10.5.X Windows

10.5.X Linux

10.6.X Windows

10.6.X Linux

10.7.X Windows

10.7.X Linux

10.8.x Windows

10.8.x Linux



10.3.X Windows

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS for Server 将不会继续进行安装。

域控制器上不支持 ArcGIS for Server。在域控制器上安装 ArcGIS for Server 可能会对功能产生不利影响。

操作系统最低操作系统版本最高操作系统版本

Windows Server 2012 R2 标准版和数据中心版

更新:2014 年 4 月  

 

Windows Server 2012 标准版和数据中心版

  

Windows Server 2008 R2 标准版、企业版和数据中心版

 

SP1

Windows Server 2008 标准版、企业版和数据中心版

SP2

SP2

Windows 10 专业版和企业版*

  

Windows 8.1 专业版和企业版

更新:2014 年 4 月  

 

Windows 8 专业版和企业版

  

Windows 7 旗舰版、企业版和专业版

 

SP1

*自 ArcGIS 10.3.1 起,开始支持 Windows 10。

注:

Windows 10、8.1、8 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

警告:

2018 年 1 月,来自 Microsoft 的安全更新导致在 Windows Server 2008 R2 和 Windows 7 上运行 ArcGIS Server 时地理处理服务崩溃。Esri 为 ArcGIS Server 10.2.1 及更高版本分别发布了一个修补程序,以解决此漏洞。虽然这些操作系统仍受支持,但在此基础上运行的任何 ArcGIS Server 实例均应安装此修补程序。此漏洞的所有修补程序均可从 Esri 技术支持处获取。

硬件要求

最低 RAM 要求为 4 GB。如果要将软件与 ArcGIS GeoEvent Extension for Server 结合使用,则最低 RAM 要求为 8 GB。

这些要求基于具有以下环境的典型开发服务器:

  • 两个缓存地图服务
  • 一个动态地图服务
  • 一个定位器服务
  • 一个地理处理服务
  • 几何服务
  • PrintingTools 服务
  • SQL Server Express
  • ArcGIS Web Adaptor (IIS)

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。在设计需满足特定需求的 ArcGIS 架构时,请参阅系统设计策略来获得帮助。

磁盘空间要求

ArcGIS for Server 需要最小 2 GB 的可用磁盘空间,其中,系统驱动器上必须有 350 MB 的可用空间。

防火墙设置

ArcGIS for Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS for Server 使用的端口

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果您想要将站点与 Portal for ArcGIS 联合起来,建议对组织的域名服务 (DNS) 进行配置,以包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的 SSL 证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。然而,在绝大多数情况下,组织在使用服务器之前需要从受信任的证书颁发机构 (CA) 请求 SSL 证书并配置服务器。这可能是由您的组织或 CA 签名证书颁发的域证书。

与 ArcGIS Server 一样,Portal for ArcGIS 还预先配置了自签名证书。如果将联合站点与 Portal for ArcGIS,应从受信任的 CA 请求 SSL 证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能需要安装 Microsoft .NET Framework

.NET 扩展性支持功能需要安装 Microsoft .NET Framework 3.5 Service Pack 1 (SP1)。如果未找到 Microsoft .NET Framework 3.5 SP1,则无法安装 .NET 扩展模块支持功能。请按照以下说明安装 Microsoft .NET Framework 3.5 SP1:

Windows Server 2012 和 2012 R2

单击 Server Manager > 添加角色和功能。选择基于角色或基于功能的安装,然后选择服务器。启用 Web 服务器角色 (IIS)。在选择角色服务对话框中,验证组件;验证设置,然后单击安装。

Windows Server 2008 和 2008 R2

单击 Server Manager > 功能 > 添加功能。启用并安装 Microsoft .NET Framework 3.5.1。

Windows 7、Windows 8 和 Windows 8.1

单击开始 > 控制面板 > 程序 > 打开或关闭 Windows 功能。启用并安装 Microsoft .NET Framework 3.5.1。

Microsoft 核心 XML 服务 (MSXML) 6

ArcGIS for Server 要求安装 Microsoft 核心 XML 服务 (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS for Server。如果通过 GUI 执行 ArcGIS for Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS for Server,则必须单独安装 MSXML 6。可从 <ArcGIS for Server Installation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.8、Numerical Python 1.7.1 和 Matplotlib 1.3.0 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome(版本 10 或更高版本)
  • Mozilla Firefox(版本 10 或更高版本)
  • Microsoft Internet Explorer(版本 8、9、10 或 11)
  • Microsoft Edge

警告:

建议您在 Firefox、Chrome、Internet Explorer 9、10 或 11 浏览器中使用 ArcGIS Server Manager 以获得最佳用户体验。使用 Internet Explorer 8 可能会降低 ArcGIS Server Manager 的显示质量。

ArcGIS for Server 与 10.3.1 之前版本的 ArcGIS 产品之间的交互

如果是第一次安装 ArcGIS Server 并且计算机上有早期版本的 ArcGIS 产品,则继续安装之前必须卸载该早期版本的产品。如果计算机上存在这些产品的冲突版本,安装程序将显示一个对话框。如果计算机上存在产品的冲突版本,则必须卸载这些产品,然后重新运行安装程序方可继续执行安装。

冲突产品(如果已安装且版本非 10.3.1)将包括:

  • ArcGIS Desktop
  • ArcInfo Workstation
  • ArcReader(独立版)
  • ArcIMS
  • ArcIMS Web ADF for Java Platform
  • ArcIMS Web ADF for .NET Framework
  • ArcGIS Server for Java Platform
  • ArcGIS Server for .NET Framework
  • ArcGIS Server Web ADF Runtime for .NET Framework
  • ArcGIS Engine Runtime
  • ArcGIS Engine Developer Kit
  • ArcGIS Desktop Developer Kit
  • ArcGIS Image Server(包括所有客户端)

如果这些产品的版本均为 10.3.1,则可共存于同一台计算机上。

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS for Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。在云平台上,可以为 ArcGIS for Server 部署添加更多功能,包括调整计算能力、根据您定义的条件自动增大和缩小容量、跨越多个实例自动分发应用程序流量以获得更佳性能等。

Esri 在两个大众云平台上提供 ArcGIS for Server 虚拟机映像:Amazon Web Services 及 Microsoft Azure

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

受支持的虚拟化环境

ArcGIS for Server 的所有组件只要运行在受支持的平台上,就完全支持虚拟环境。 以 ArcGIS for Server 运行第三方应用程序时(如关系数据库),该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS for Server:

  • VMware vSphere 5 包括 5.0、5.1 和 5.5
  • VMWare vSphere 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

10.3.X Linux

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。在 32 位操作系统上不提供支持;只有在 64 位操作系统上才能进行安装。仅以下平台支持 ArcGIS for Server:Linux x86_64,采用符合 x86_64 架构(64 位)的 CPU,以及受支持的 Linux 版本。

不支持名称中带有下划线 (_) 的计算机。如果在计算机名称中检测到下划线,安装程序将无法继续。

软件不应安装在经修改的操作系统(二进制文件)上。对安装到开发者发布的操作系统中的产品,Esri 将不提供支持。

以根用户身份安装 ArcGIS Server 存在 安全风险,因此不推荐。如果这样做,软件诊断工具会返回警告,提示您不应以根用户身份进行安装。

操作系统最低操作系统版本最高操作系统版本

Red Hat Enterprise Linux Server 7(从 10.3.1 开始支持)

 

无更新

Red Hat Enterprise Linux Server 6

 

更新 5

Red Hat Enterprise Linux Server 5

带 libX11 修补程序的更新 7

更新 10

SUSE Linux Enterprise Server 12(从 10.3.1 开始支持)

 

无补丁包

SUSE Linux Enterprise Server 11

补丁包 1

补丁包 2

有关 RHEL 5 Update 7 + libX11 修补程序的信息,请参阅 Red Hat 支持网站。有关 RHEL 6 Update 4 + xorg-x11-server 修补程序的信息,请参阅 Red Hat 支持网站知识库文章 42226

注:

Esri 对 CentOS、Scientific Linux 和 Oracle Linux 版本提供技术支持,这些版本会提供与等效支持的 Red Hat 版本的完整二进制兼容性。作为记录瑕疵的先决条件,会在 Red Hat Enterprise Linux 上尝试重新生成任何有关这些操作系统的软件问题。对于 Oracle Linux,将基于 Red Hat 兼容核的使用提供支持。

Red Hat Enterprise Linux Server 要求

需要使用以下软件包。如果想要使用操作系统图形用户界面 (GUI) 安装软件,则需要 X Window System 包组。默认情况下,通常会包括在操作系统中。

Red Hat Enterprise Linux Server 6 和 7

  • fontconfig
  • freetype
  • gettext
  • libXfont
  • mesa-libGL
  • mesa-libGLU
  • Xvfb

Red Hat Enterprise Linux Server 5

  • fontconfig
  • freetype
  • gettext
  • libXfont
  • mesa-libGL
  • mesa-libGLU

 

注:

针对所有受支持的 RHEL 版本,不支持 xorg-x11-server-Xvfb-1.17.x,有关详细信息,请参阅以下技术文章:

知识库文章 13452

 

SUSE Linux Enterprise Server

需要使用以下软件包。如果想要使用操作系统图形用户界面 (GUI) 安装软件,则需要 X Window System 包组。默认情况下,通常会包括在操作系统中。

SUSE Linux Enterprise Server 12

  • fontconfig
  • gettext-runtime
  • libfreetype6
  • libGLU1
  • libXfont1
  • Mesa-libGL1

SUSE Linux Enterprise Server 11

  • fontconfig
  • freetype2
  • gettext-runtime
  • Mesa
  • xorg-x11-libs

硬件要求

需要 OpenGL 1.5 版本或更高版本。最低 RAM 要求为 4 GB。如果要将软件与 ArcGIS GeoEvent Extension for Server 结合使用,则最低 RAM 要求为 8 GB。

这些要求基于具有以下环境的典型开发服务器:

  • 两个缓存地图服务
  • 一个动态地图服务
  • 一个定位器服务
  • 一个地理处理服务
  • 几何服务
  • PrintingTools 服务
  • SQL Server Express
  • ArcGIS Web Adaptor (IIS)

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。在设计需满足特定需求的 ArcGIS 架构时,请参阅系统设计策略来获得帮助。

磁盘空间要求

要在目标系统中成功安装 ArcGIS for Server,至少需要 3.1 GB 的可用磁盘空间。安装此产品的过程中,将使用约 1.5 GB 的所需磁盘空间。此临时磁盘将在安装结束后移除。

注:

无法在共享的网络目录(NFS 安装文件夹)中安装 ArcGIS for Server。必须使用目标系统的本地目录。

临时空间要求

默认情况下,安装程序的资源文件将提取到系统的 /tmp 目录下。该目录必须已启用读、写和执行权限。如果在 /tmp 目录下所需空间不足,则安装程序会尝试将资源提取到用户的 HOME 目录下。如果在用户的 HOME 目录下所需空间仍不足,则安装程序将报告一个表示此问题的错误。可以选择通过设置以下 IATEMPDIR 环境变量来指定备用临时位置:

默认文件权限

出于安全考虑,默认情况下关闭组和所有用户的所有权限类型(读、写和执行)。

文件句柄和进程的限制

ArcGIS Server 是一种数据密集型的服务器产品,此产品的许多数据格式都包含数以万计的文件。常用系统中,在任意给定的时间内可能有数千或数万个文件正被使用。如果文件句柄和进程数不足,安装请求可能会随机出现失败,从而导致系统停止运行。实际需要的文件句柄数和进程数取决于数据和正在运行的实例(线程/进程)的数量。设置文件句柄限值 65,535 和进程限值 25,059 可以确保系统保持运行。

Linux 上有文件句柄和进程的软限制和硬限制。要确定硬限制,请使用命令 ulimit -Hn -Hu(如果正在使用 csh 则用 limit -h 描述符)。要确定软限制,请使用命令 ulimit -Sn -Su(如果正在使用 csh 则用 limit 描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限编辑 /etc/security/limits.conf 文件。例如,您可以在该文件中添加以下四行:

 

<ArcGIS Server installation user> soft nofile 65535
<ArcGIS Server installation user> hard nofile 65535
<ArcGIS Server installation user> soft nproc 25059
<ArcGIS Server installation user> hard nproc 25059

 

做出更改后,需要注销并以特定用户身份重新登录,以便新值生效。要验证限制是否已正确修改,可以使用上述 ulimit -Hn -Hu 和 ulimit -Sn -Su 命令。

防火墙设置

ArcGIS for Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS for Server 使用的端口

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果您想要将站点与 Portal for ArcGIS 联合起来,建议对组织的域名服务 (DNS) 进行配置,以包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

DNS 主机名条目

ArcGIS for Server 必须安装在具有域名服务 (DNS) 主机名条目的计算机上。这可能需要站点的系统管理员向网络中的名称服务器添加一个条目,并需要将此名称服务器在系统中的 /etc/resolv.conf 配置文件中列出。

如果您想要将站点与 Portal for ArcGIS 联合起来,建议对组织的 DNS 进行配置,以包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的 SSL 证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。然而,在绝大多数情况下,组织在使用服务器之前需要从受信任的证书颁发机构 (CA) 请求 SSL 证书并配置服务器。这可能是由您的组织或 CA 签名证书颁发的域证书。

与 ArcGIS Server 一样,Portal for ArcGIS 还预先配置了自签名证书。如果将联合站点与 Portal for ArcGIS,应从受信任的 CA 请求 SSL 证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

地理处理要求

某些核心地理处理工具需要 Python 2.7.8、Numerical Python 1.7.1 和 Matplotlib 1.3.0 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome(版本 10 或更高版本)
  • Mozilla Firefox(版本 10 或更高版本)
  • Microsoft Internet Explorer(版本 8、9、10 或 11)
  • Microsoft Edge

警告:

建议您在 Firefox、Chrome、Internet Explorer 9、10 或 11 浏览器中使用 ArcGIS Server Manager 以获得最佳用户体验。使用 Internet Explorer 8 可能会降低 ArcGIS Server Manager 的显示质量。

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS for Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。在云平台上,可以为 ArcGIS for Server 部署添加更多功能,包括调整计算能力、根据您定义的条件自动增大和缩小容量、跨越多个实例自动分发应用程序流量以获得更佳性能等。

Esri 在两个大众云平台上提供 ArcGIS for Server 虚拟机映像:Amazon Web Services 及 Microsoft Azure

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

受支持的虚拟化环境

ArcGIS for Server 的所有组件只要运行在受支持的平台上,就完全支持虚拟环境。 以 ArcGIS for Server 运行第三方应用程序时(如关系数据库),该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS for Server:

  • VMware vSphere 5 包括 5.0、5.1 和 5.5
  • VMWare vSphere 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

10.4.X Windows

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS for Server 将不会继续进行安装。

域控制器上不支持 ArcGIS for Server。在域控制器上安装 ArcGIS for Server 可能会对功能产生不利影响。

操作系统最低操作系统版本最高操作系统版本

Windows Server 2016 标准版和数据中心版*

  

Windows Server 2012 R2 标准版和数据中心版

更新:2014 年 4 月  

 

Windows Server 2012 标准版和数据中心版

  

Windows Server 2008 R2 标准版、企业版和数据中心版

SP1

 

Windows Server 2008 标准版、企业版和数据中心版

SP2

SP2

Windows 10 专业版和企业版

  

Windows 8.1 专业版和企业版

更新:2014 年 4 月  

 

Windows 8 专业版和企业版

  

Windows 7 旗舰版、专业版、企业版和家庭高级版

SP1

 

* 从 ArcGIS 10.4.1 起提供支持。

注:

Windows 10、8.1、8 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

警告:

2018 年 1 月,来自 Microsoft 的安全更新导致在 Windows Server 2008 R2 和 Windows 7 上运行 ArcGIS Server 时地理处理服务崩溃。Esri 为 ArcGIS Server 10.2.1 及更高版本分别发布了一个修补程序,以解决此漏洞。虽然这些操作系统仍受支持,但在此基础上运行的任何 ArcGIS Server 实例均应安装此修补程序。此漏洞的所有修补程序均可从 Esri 技术支持处获取。

硬件要求

最低 RAM 要求为 4 GB。如果要将软件与 ArcGIS GeoEvent Extension for Server 结合使用,则最低 RAM 要求为 8 GB。这些要求基于具有以下环境的典型开发服务器:

  • 两个缓存地图服务
  • 一个动态地图服务
  • 一个定位器服务
  • 一个地理处理服务
  • 几何服务
  • PrintingTools 服务
  • SQL Server Express
  • ArcGIS Web Adaptor

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。在设计需满足特定需求的 ArcGIS 架构时,请参阅系统设计策略来获得帮助。

磁盘空间要求

ArcGIS for Server 需要最小 5.5 GB 的可用磁盘空间,其中,系统驱动器上必须有 350 MB 的可用空间。

防火墙设置

ArcGIS for Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS for Server 使用的端口

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的域名服务 (DNS),使其包含想要与门户联合的每个站点的完全限制域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。然而,在绝大多数情况下,组织在使用服务器之前需要从受信任的证书颁发机构 (CA) 请求证书并配置服务器。这可能是由您的组织或 CA 签名证书颁发的域证书。

与 ArcGIS Server 一样,Portal for ArcGIS 还预先配置了自签名证书。如果将要联合站点与 Portal for ArcGIS,应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能需要安装 Microsoft .NET Framework

.NET 扩展支持功能需要安装 Microsoft .NET Framework 4.5 或更高版本。如果未找到 Microsoft .NET Framework 4.5,则无法安装 .NET 扩展模块支持功能。

如果您的操作系统已安装 Microsoft .NET Framework 4.5,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5,则可从安装介质上进行下载并使用 Windows 功能将其启用。

旧版本:

在较早的版本中,如果 ArcGIS Server 要安装 .NET 扩展模块支持功能,则必须先安装 Microsoft .NET Framework 3.5 Service Pack 1 (SP1)。

Microsoft 核心 XML 服务 (MSXML) 6

ArcGIS for Server 要求安装 Microsoft 核心 XML 服务 (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS for Server。如果通过 GUI 执行 ArcGIS for Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS for Server,则必须单独安装 MSXML 6。可从 <ArcGIS for Server Installation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.10、Numerical Python 1.9.2 和 Matplotlib 1.4.3 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome(版本 10 或更高版本)
  • Mozilla Firefox(版本 10 或更高版本)
  • Microsoft Internet Explorer(版本 9、10 或 11)
  • Microsoft Edge

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS for Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。您可借助云平台,将更多功能添加到 ArcGIS for Server 部署,其中包括更改计算机容量的大小,根据您定义的条件自动调节容量,自动在多个实例中分配应用程序流量以提高性能,以及更多功能。

Esri 在两家流行的云平台 Amazon Web Services 和 Microsoft Azure 上提供了 ArcGIS for Server 虚拟机映像。

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

 

警告:

ArcGIS Server AMI for Linux 适用于 Ubuntu。Ubuntu 的认证和支持仅适用于 Esri 发布的 ArcGIS Server AMI。对 Esri 发布的 AMI 的更改将被视为不受支持的系统中的更改。

 

受支持的虚拟化环境

ArcGIS for Server 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 以 ArcGIS for Server 运行第三方应用程序时(如关系数据库),该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS for Server:

  • VMware vSphere 5.0、5.1、5.5 和 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS for Server 支持的数据库的信息,请参阅以下主题:

10.4.X Linux

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。在 32 位操作系统上不提供支持;只有在 64 位操作系统上才能进行安装。仅以下平台支持 ArcGIS for Server:Linux x86_64,采用符合 x86_64 架构(64 位)的 CPU,以及受支持的 Linux 版本。

不支持名称中带有下划线 (_) 的计算机。如果在计算机名称中检测到下划线,安装程序将无法继续。

软件不应安装在经修改的操作系统(二进制文件)上。对安装到开发者发布的操作系统中的产品,Esri 将不提供支持。

您无法以根用户身份安装该软件。如果您试图这样做,将无法继续安装,软件诊断工具将显示错误信息,指明您无法以根用户身份进行安装。

操作系统最低操作系统版本最高操作系统版本

Red Hat Enterprise Linux Server 7

 

Update 2

Red Hat Enterprise Linux Server 6

 

Update 7

Red Hat Enterprise Linux Server 5

带 libX11 修补程序的更新 7

Update 11

SUSE Linux Enterprise Server 12

 

无补丁包

SUSE Linux Enterprise Server 11

补丁包 2

补丁包 3

有关 RHEL 5 Update 7 + libX11 修补程序的信息,请参阅 Red Hat 支持网站。有关 RHEL 6 Update 4 + xorg-x11-server 修补程序的信息,请参阅 Red Hat 支持网站知识库文章 42226

注:

Esri 对 CentOS、Scientific Linux 和 Oracle Linux 版本提供技术支持,这些版本会提供与等效支持的 Red Hat 版本的完整二进制兼容性。作为记录瑕疵的先决条件,会在 Red Hat Enterprise Linux 上尝试重新生成任何有关这些操作系统的软件问题。对于 Oracle Linux,将基于 Red Hat 兼容核的使用提供支持。

Red Hat Enterprise Linux Server 要求

需要使用以下软件包。如果想要使用操作系统图形用户界面 (GUI) 安装软件,则需要 X Window System 包组。默认情况下,通常会包括在操作系统中。

Red Hat Enterprise Linux Server 5、6 和 7

  • X Windows 系统包组
  • Xvfb
  • fontconfig
  • freetype
  • libXfont
  • mesa-libGL
  • mesa-libGLU
  • gettext

SUSE Linux Enterprise Server

需要使用以下软件包。如果想要使用操作系统图形用户界面 (GUI) 安装软件,则需要 X Window System 包组。默认情况下,通常会包括在操作系统中。

SUSE Linux Enterprise Server 12

  • X Windows 系统
  • fontconfig
  • libfreetype6
  • libXfont1
  • Mesa-libGL1
  • libGLU1
  • gettext-runtime

SUSE Linux Enterprise Server 11

  • X Windows 系统
  • fontconfig
  • freetype2
  • xorg-x11-libs
  • Mesa
  • gettext-runtime

硬件要求

需要 OpenGL 1.5 版本或更高版本。最低 RAM 要求为 4 GB。如果要将软件与 ArcGIS GeoEvent Extension for Server 结合使用,则最低 RAM 要求为 8 GB。这些要求基于具有以下环境的典型开发服务器:

  • 两个缓存地图服务
  • 一个动态地图服务
  • 一个定位器服务
  • 一个地理处理服务
  • 几何服务
  • PrintingTools 服务
  • ArcGIS Web Adaptor

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。在设计需满足特定需求的 ArcGIS 架构时,请参阅系统设计策略来获得帮助。

磁盘空间要求

要在目标系统中成功安装 ArcGIS for Server,至少需要 5.5 GB 的可用磁盘空间。安装此产品的过程中,将使用约 1.5 GB 的所需磁盘空间。此临时磁盘将在安装结束后移除。

注:

无法在共享的网络目录(NFS 安装文件夹)中安装 ArcGIS for Server。必须使用目标系统的本地目录。

临时空间要求

默认情况下,安装程序的资源文件将提取到系统的 /tmp 目录下。该目录必须已启用读、写和执行权限。如果在 /tmp 目录下所需空间不足,则安装程序会尝试将资源提取到用户的 HOME 目录下。如果在用户的 HOME 目录下所需空间仍不足,则安装程序将报告一个表示此问题的错误。可以选择通过设置 IATEMPDIR 环境变量来指定备用临时位置。

默认文件权限

出于安全考虑,默认情况下关闭组和所有用户的所有权限类型(读、写和执行)。

文件句柄和进程的限制

ArcGIS Server 是一种数据密集型的服务器产品,此产品的许多数据格式都包含数以万计的文件。常用系统中,在任意给定的时间内可能有数千或数万个文件正被使用。如果文件句柄和进程数不足,安装请求可能会随机出现失败,从而导致系统停止运行。实际需要的文件句柄数和进程数取决于数据和正在运行的实例(线程/进程)的数量。设置文件句柄限值 65,535 和进程限值 25,059 可以确保系统保持运行。

Linux 中有对文件句柄及进程的软限制和硬限制。要确定硬限制,请使用命令 ulimit -Hn -Hu(如果正在使用 csh 则用 limit -h 描述符)。要确定软限制,请使用命令 ulimit -Sn -Su(如果正在使用 csh 则用 limit 描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限编辑 /etc/security/limits.conf 文件。例如,您可以在该文件中添加以下四行:

 

<ArcGIS Server installation user> soft nofile 65535
<ArcGIS Server installation user> hard nofile 65535
<ArcGIS Server installation user> soft nproc 25059
<ArcGIS Server installation user> hard nproc 25059

 

做出更改后,需要登出并以特定用户身份重新登录,以便新值生效。要验证限制是否已正确修改,可以使用上述 ulimit -Hn -Hu 和 ulimit -Sn -Su 命令。

防火墙设置

ArcGIS for Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS for Server 使用的端口

DNS 主机名条目

ArcGIS for Server 必须安装在具有域名服务 (DNS) 主机名条目的计算机上。这可能需要站点的系统管理员向网络中的名称服务器添加一个条目,并需要将此名称服务器在系统中的 /etc/resolv.conf 配置文件中列出。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的 DNS,使其包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。然而,在绝大多数情况下,组织在使用服务器之前需要从受信任的证书颁发机构 (CA) 请求证书并配置服务器。这可能是由您的组织或 CA 签名证书颁发的域证书。

与 ArcGIS Server 一样,Portal for ArcGIS 还预先配置了自签名证书。如果将要联合站点与 Portal for ArcGIS,应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

地理处理要求

某些核心地理处理工具需要 Python 2.7.10、Numerical Python 1.9.2 和 Matplotlib 1.4.3 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome(版本 10 或更高版本)
  • Mozilla Firefox(版本 10 或更高版本)
  • Microsoft Internet Explorer(版本 9、10 或 11)
  • Microsoft Edge

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS for Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。您可借助云平台,将更多功能添加到 ArcGIS for Server 部署,其中包括更改计算机容量的大小,根据您定义的条件自动调节容量,自动在多个实例中分配应用程序流量以提高性能,以及更多功能。

Esri 在两家流行的云平台 Amazon Web Services 和 Microsoft Azure 上提供了 ArcGIS for Server 虚拟机映像。

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

 

警告:

ArcGIS Server AMI for Linux 可从 Ubuntu 中获取。Ubuntu 的认证和支持仅适用于 Esri 发布的 ArcGIS Server AMI。对 Esri 发布的 AMI 的更改将被视为不受支持的系统中的更改。

 

受支持的虚拟化环境

ArcGIS for Server 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 以 ArcGIS for Server 运行第三方应用程序时(如关系数据库),该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS for Server:

  • VMware vSphere 5.0、5.1、5.5 和 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS for Server 支持的数据库的信息,请参阅以下主题:

您无法从 Linux 上的 ArcGIS for Server 连接至 SQL Server。

并非所有的 ArcGIS for Server Workgroup 组件都可用于 Linux,例如,您无法在 Linux 上通过安装 SQL Server Express 来创建数据库服务器及工作组级地理数据库。

10.5.X Windows

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS Server 将不会进行安装。

域控制器上不支持 ArcGIS Server。在域控制器上安装 ArcGIS Server 可能会对功能产生不利影响。

受支持的操作系统经测试的最新更新或补丁包

Windows Server 2016 标准版和数据中心版*

 

Windows Server 2012 R2 标准版和数据中心版

更新:2017 年 4 月

Windows Server 2012 标准版和数据中心版

更新:2017 年 4 月

Windows Server 2008 R2 标准版、企业版和数据中心版

SP1

Windows Server 2008 标准版、企业版和数据中心版

SP2

*如果将 ArcGIS Server 站点配置为 ArcGIS Enterprise 部署的托管服务器,请在 Internet 选型中启用 SSL 3.0 以允许用户发布托管场景图层。有关详细信息,请参阅 Esri 技术文章 000016013

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Windows 10、8.1 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

警告:

2018 年 1 月,来自 Microsoft 的安全更新导致在 Windows Server 2008 R2 和 Windows 7 上运行 ArcGIS Server 时地理处理服务崩溃。Esri 为 ArcGIS Server 10.2.1 及更高版本分别发布了一个修补程序,以解决此漏洞。虽然这些操作系统仍受支持,但在此基础上运行的任何 ArcGIS Server 实例均应安装此修补程序。此漏洞的所有修补程序均可从 Esri 技术支持处获取。

受支持的操作系统经测试的最新更新或补丁包

Windows 10 专业版和企业版

创建者更新

Windows 8.1 专业版和企业版

更新:2017 年 4 月

Windows 7 旗舰版、专业版、企业版和家庭高级版

SP1

操作系统要求和限制

Windows

硬件要求

 

GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 Esri Business Analyst for Server 的最小 RAM 要求:每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server:16 GB

配置 ArcGIS GeoAnalytics Server 时,确保托管用户配置文件的驱动器有足够的可用临时空间。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

示例场景:

输入数据大小:100 GB 的 CSV 点要素

ArcGIS GeoAnalytics Server 节点数:5

任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)

建议的磁盘空间:(100 x 100 GB) / 5 = 2 TB/节点

相应增加空间以适应并发 GeoAnalytics 作业。

 

ArcGIS Server 至少需要 10 GB 的可用硬盘空间。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的域名服务 (DNS),使其包含想要与门户联合的每个站点的完全限制域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名证书,以便对服务器进行初始测试并帮助您快速验证安装是否成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合站点与 Portal for ArcGIS,应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能需要安装 Microsoft .NET Framework

.NET 扩展支持功能需要安装 Microsoft .NET Framework 4.5 或更高版本。如果未找到 Microsoft .NET Framework 4.5,则无法安装 .NET 扩展模块支持功能。

如果您的操作系统已安装 Microsoft .NET Framework 4.5,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5,则可从安装介质上进行下载并使用 Windows 功能将其启用。

Microsoft Core XML Services (MSXML) 6

ArcGIS Server 要求安装 Microsoft Core XML Services (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS Server。如果通过 GUI 执行 ArcGIS Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS Server,则必须单独安装 MSXML 6。可从 <ArcGIS ServerInstallation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.13、Numerical Python 1.9.3 和 Matplotlib 1.5.2 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

页面文件大小要求

请确保为 ArcGIS Server 计算机配置了充足的页面文件大小。您应该咨询您的 IT 管理员,或遵照 Microsoft 的最佳做法

使用 ArcGIS GeoAnalytics Server 时,Windows 页面文件在处理内存密集型任务时可使用高达 3X 的可用物理 RAM。为避免系统故障和耗尽磁盘空间,可将页面文件移动至具有至少 3X 可用物理 RAM 空间的卷中。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer(版本 9、10 或 11)
  • Microsoft Edge

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。您可借助云平台,将更多功能添加到 ArcGIS Server 部署,其中包括更改计算机容量的大小,根据您定义的条件自动调节容量,自动在多个实例中分配应用程序流量以提高性能,以及更多功能。

Esri 在两家流行的云平台 Amazon Web Services 和 Microsoft Azure 上提供了 ArcGIS Server 虚拟机映像。

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

 

警告:

ArcGIS Server AMI for Linux 适用于 Ubuntu。对 Esri 发布的 AMI 的更改将被视为不受支持的系统中的更改。

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 使用 ArcGIS Enterprise 运行第三方应用程序(如关系型数据库)时,该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中可良好运行 ArcGIS Enterprise:

  • VMware vSphere 5.5 和 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

10.5.X Linux

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。在 32 位操作系统上不提供支持;只有在 64 位操作系统上才能进行安装。仅以下平台支持 ArcGIS Server:Linux x86_64,采用符合 x86_64 架构(64 位)的 CPU,以及受支持的 Linux 版本。

不支持名称中带有下划线 (_) 的计算机。如果在计算机名称中检测到下划线,安装程序将无法继续。

您无法以根用户身份安装该软件。如果您试图这样做,将无法继续安装,软件诊断工具将显示错误信息,指明您无法以根用户身份进行安装。

受支持的操作系统经测试的最新更新或补丁包

Red Hat Enterprise Linux Server 7

Update 3

Red Hat Enterprise Linux Server 6

Update 9

SUSE Linux Enterprise Server 12

补丁包 2

SUSE Linux Enterprise Server 11

补丁包 4

Ubuntu Server LTS

16.04.2

CentOS Linux 7

7.3

CentOS Linux 6

6.9

Scientific Linux 7

7.3

Scientific Linux 6

6.9

Oracle Linux 7

Update 3

Oracle Linux 6

Update 9

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Esri 对 CentOS、Scientific Linux 和 Oracle Linux 版本提供技术支持,这些版本会提供与等效支持的 Red Hat 版本的完整二进制兼容性。作为记录瑕疵的先决条件,会在 Red Hat Enterprise Linux 上尝试重新生成任何有关这些操作系统的软件问题。对于 Oracle Linux,将基于 Red Hat 兼容核的使用提供支持。

警告:

如果想要使用操作系统图形用户界面 (GUI) 安装软件、运行 ArcGIS 软件授权向导或运行“检查更新”工具,则需要 X Window System 包组。

需要以下包组。

Red Hat Enterprise Linux Server 要求

Red Hat Enterprise Linux Server 6 和 7

  • gettext
  • libXtst(仅 ArcGIS 10.5)

SUSE Linux Enterprise Server

SUSE Linux Enterprise Server 11 和 12

  • gettext-runtime
  • libXtst(仅 ArcGIS 10.5)

Ubuntu Server LTS

Ubuntu Server 16.04 LTS

  • gettext-base
  • libxtst6(仅 ArcGIS 10.5)

硬件要求

需要 OpenGL 1.5 版本或更高版本。

GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 Esri Business Analyst for Server 的最小 RAM 要求:每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server:16 GB

配置 ArcGIS GeoAnalytics Server 时,确保托管\tmp 目录的驱动器有足够的可用临时空间。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

示例场景:

输入数据大小:100 GB 的 CSV 点要素

ArcGIS GeoAnalytics Server 节点数:5

任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)

建议的磁盘空间:(100 x 100 GB) / 5 = 2 TB/节点

相应增加空间以适应并发 GeoAnalytics 作业。

 

要在目标系统中成功安装 ArcGIS Server,至少需要 10 GB 的可用磁盘空间。安装此产品的过程中,将使用约 1.5 GB 的所需磁盘空间。此临时磁盘将在安装结束后移除。

注:

无法在共享的网络目录(NFS 安装文件夹)中安装 ArcGIS Server。必须使用目标系统的本地目录。

临时空间要求

默认情况下,安装程序的资源文件将提取到系统的 /tmp 目录下。该目录必须已启用读、写和执行权限。如果在 /tmp 目录下所需空间不足,则安装程序会尝试将资源提取到用户的 HOME 目录下。如果在用户的 HOME 目录下所需空间仍不足,则安装程序将报告一个表示此问题的错误。可以选择通过设置 IATEMPDIR 环境变量来指定备用临时位置。

/tmp 目录还可在发布时使用。在通过 Server Manager 上传服务定义 (SD) 文件时,/tmp 目录中将创建与 SD 文件大小相等的文件。文件并非永久存储,而是每小时删除一次。请确保 /tmp 目录具有足够的空间,能够存储要以此方式发布的各个 SD 文件。

默认文件权限

出于安全考虑,默认情况下关闭组和所有用户的所有权限类型(读、写和执行)。

文件句柄和进程的限制

ArcGIS Server 是一种数据密集型的服务器产品,此产品的许多数据格式都包含数以万计的文件。常用系统中,在任意给定的时间内可能有数千或数万个文件正被使用。如果文件句柄和进程数不足,安装请求可能会随机出现失败,从而导致系统停止运行。实际需要的文件句柄数和进程数取决于数据和正在运行的实例(线程/进程)的数量。设置文件句柄限值 65,535 和进程限值 25,059 可以确保系统保持运行。

Linux 中有对文件句柄及进程的软限制和硬限制。要确定硬限制,请使用命令 ulimit -Hn -Hu(如果正在使用 csh 则用 limit -h 描述符)。要确定软限制,请使用命令 ulimit -Sn -Su(如果正在使用 csh 则用 limit 描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限编辑 /etc/security/limits.conf 文件。例如,您可以在该文件中添加以下四行:

 

<ArcGIS Server installation user> soft nofile 65535
<ArcGIS Server installation user> hard nofile 65535
<ArcGIS Server installation user> soft nproc 25059
<ArcGIS Server installation user> hard nproc 25059

 

做出更改后,需要登出并以特定用户身份重新登录,以便新值生效。要验证限制是否已正确修改,可以使用上述 ulimit -Hn -Hu 和 ulimit -Sn -Su 命令。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

DNS 主机名条目

ArcGIS Server 必须安装在具有域名服务 (DNS) 主机名条目的计算机上。这可能需要站点的系统管理员向网络中的名称服务器添加一个条目,并需要将此名称服务器在系统中的 /etc/resolv.conf 配置文件中列出。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的 DNS,使其包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名证书,以便对服务器进行初始测试并帮助您快速验证安装是否成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合站点与 Portal for ArcGIS,应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer(版本 9、10 或 11)
  • Microsoft Edge

云平台上的 ArcGIS Server

您可以在云中部署 ArcGIS Server。许多组织通过执行此操作来提高性能和容量,而无需购买和配置新硬件。您可借助云平台,将更多功能添加到 ArcGIS Server 部署,其中包括更改计算机容量的大小,根据您定义的条件自动调节容量,自动在多个实例中分配应用程序流量以提高性能,以及更多功能。

Esri 在两家流行的云平台 Amazon Web Services 和 Microsoft Azure 上提供了 ArcGIS Server 虚拟机映像。

注:

Esri 技术支持可为云平台上的 Esri 软件提供支持。但是,如果对 Amazon Web Services 或 Microsoft Azure 机器映像的修改超出标准 Esri 或操作系统更新,则 Esri 可能不会为其提供支持。建议不要修改 Esri 发布的软件。

 

警告:

ArcGIS Server AMI for Linux 适用于 Ubuntu。对 Esri 发布的 AMI 的更改将被视为不受支持的系统中的更改。

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 使用 ArcGIS Enterprise 运行第三方应用程序(如关系型数据库)时,该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中可良好运行 ArcGIS Enterprise:

  • VMware vSphere 5.5 和 6
  • Microsoft Hyper-V

有关其他信息,请参阅 虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

您无法从 Linux 上的 ArcGIS Server 连接至 SQL Server。

并非所有的 ArcGIS Server Workgroup 组件都可用于 Linux,例如,您无法在 Linux 上通过安装 SQL Server Express 来创建数据库服务器及工作组级地理数据库。

10.6.X Windows

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS Server 将不会进行安装。

域控制器上不支持 ArcGIS Server。在域控制器上安装 ArcGIS Server 可能会对功能产生不利影响。

注:

ArcGIS Server 需要 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributable(x86 和 x64)。如果尚未安装 Visual C++ 2017 Redistributable(Update 5 或更高版本),则运行 setup.exe 将在启动 setup.msi 前进行安装。如果尚未安装 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributable(x86 和 x64),则不会安装 Setup.msi。

 
受支持的操作系统经测试的最新更新或补丁包

Windows Server 2019 标准版和数据中心版

2018 年 11 月发布

Windows Server 2016 标准版和数据中心版

2018 年 5 月 8 日更新的 1607 版本

Windows Server 2012 R2 标准版和数据中心版

2018 年 5 月 8 日更新

Windows Server 2012 标准版和数据中心版

2018 年 5 月 8 日更新

Windows Server 2008 R2 标准版、企业版和数据中心版

2018 年 5 月 8 日更新的 SP1

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Windows 10、8.1 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

警告:

2018 年 1 月,来自 Microsoft 的安全更新导致在 Windows Server 2008 R2 和 Windows 7 上运行 ArcGIS Server 时地理处理服务崩溃。Esri 为 ArcGIS Server 10.2.1 至 10.6 分别发布了一个修补程序,以解决此漏洞。虽然这些操作系统仍受支持,但在此基础上运行的任何 ArcGIS Server 实例均应安装此修补程序。此漏洞的所有修补程序均可从 Esri 技术支持处获取。

 
受支持的操作系统经测试的最新更新或补丁包

Windows 10 专业版和企业版

2018 年 5 月 8 日更新的 1803 版本

Windows 8.1 专业版和企业版

2018 年 5 月 8 日

Windows 7 旗舰版、专业版、企业版和家庭高级版

2018 年 5 月 8 日更新的 SP1

操作系统要求和限制

Windows

硬件要求

 

GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 Esri Business Analyst for Server 的最小 RAM 要求:每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server:16 GB

配置 ArcGIS GeoAnalytics Server 时,确保托管用户配置文件的驱动器有足够的可用临时空间。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

示例场景:

输入数据大小:100 GB 的 CSV 点要素

ArcGIS GeoAnalytics Server 节点数:5

任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)

建议的磁盘空间:(100 x 100 GB) / 5 = 2 TB/节点

相应增加空间以适应并发 GeoAnalytics 作业。

 

ArcGIS Server 至少需要 10 GB 的可用硬盘空间。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的域名服务 (DNS),使其包含想要与门户联合的每个站点的完全限制域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合 ArcGIS Server 站点与 Portal for ArcGIS,则应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能需要安装 Microsoft .NET Framework

.NET 扩展支持功能需要安装 Microsoft .NET Framework 4.5 或更高版本。如果未找到 Microsoft .NET Framework 4.5,则无法安装 .NET 扩展模块支持功能。

如果您的操作系统已安装 Microsoft .NET Framework 4.5,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5,则可从安装介质上进行下载并使用 Windows 功能将其启用。

Microsoft Core XML Services (MSXML) 6

ArcGIS Server 要求安装 Microsoft Core XML Services (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS Server。如果通过 GUI 执行 ArcGIS Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS Server,则必须单独安装 MSXML 6。可从 <ArcGIS ServerInstallation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.14、Numerical Python 1.9.3 和 Matplotlib 1.5.2 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

页面文件大小要求

请确保为 ArcGIS Server 计算机配置了充足的页面文件大小。您应该咨询您的 IT 管理员,或遵照 Microsoft 的最佳做法

使用 ArcGIS GeoAnalytics Server 时,Windows 页面文件在处理内存密集型任务时可使用高达 3X 的可用物理 RAM。为避免系统故障和耗尽磁盘空间,可将页面文件移动至具有至少 3X 可用物理 RAM 空间的卷中。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Chrome
  • Firefox
  • Internet Explorer 11
  • Edge

云平台上的 ArcGIS Enterprise

您可以在多个云平台上部署 ArcGIS Enterprise。任何提供满足操作系统基本系统要求和系统规范的虚拟机的云平台都支持与 ArcGIS Enterprise 一起使用。

除基本支持外,Esri 还在两个大众云平台上提供部署工具和预构建的虚拟机映像:Amazon Web Services 和 Microsoft Azure。在这两个云平台上进行部署时,建议您使用专用工具和映像来简化部署和技术支持。

除作为其正常操作一部分的 ArcGIS Enterprise 部署工具所创建和管理内容之外,Esri 不提供配置云基础架构的技术支持。对于 Esri 不提供专用部署工具的云平台,支持仅限于解决特定于软件的问题。

ArcGIS Enterprise 还支持不同的云原生功能,例如多个云平台上的存储和数据库。示例包括 Amazon 简单存储服务 (S3) 和 Microsoft Azure SQL Database。有关支持的原生云功能的信息,请参阅每个 ArcGIS 组件的文档。

 

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 使用 ArcGIS Enterprise 运行第三方应用程序(如关系型数据库)时,该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中可良好运行 ArcGIS Enterprise:

  • VMware vSphere 5.5、6.0 和 6.5
  • Microsoft Hyper-V

有关其他信息,请参阅虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

ArcGIS Server Workgroup 版本中安装了 SQL Server Express,仅支持在 Windows 操作系统中使用。

10.6.X Linux

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。在 32 位操作系统上不提供支持;只有在 64 位操作系统上才能进行安装。仅以下平台支持 ArcGIS Server:Linux x86_64,采用符合 x86_64 架构(64 位)的 CPU,以及受支持的 Linux 版本。

不支持名称中带有下划线 (_) 的计算机。如果在计算机名称中检测到下划线,安装程序将无法继续。

您无法以根用户身份安装该软件。如果您试图这样做,将无法继续安装,软件诊断工具将显示错误信息,指明您无法以根用户身份进行安装。

 
受支持的操作系统经测试的最新更新或补丁包

Red Hat Enterprise Linux Server 7

Update 5

Red Hat Enterprise Linux Server 6

Update 9

SUSE Linux Enterprise Server 12

补丁包 2

SUSE Linux Enterprise Server 11

补丁包 4

Ubuntu Server LTS

16.04.3

CentOS Linux 7

7.5

CentOS Linux 6

6.9

Scientific Linux 7

7.5

Scientific Linux 6

6.9

Oracle Linux 7

Update 5

Oracle Linux 6

Update 9

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Esri 对 CentOS、Scientific Linux 和 Oracle Linux 版本提供技术支持,这些版本会提供与等效支持的 Red Hat 版本的完整二进制兼容性。作为记录瑕疵的先决条件,会在 Red Hat Enterprise Linux 上尝试重新生成任何有关这些操作系统的软件问题。对于 Oracle Linux,将基于 Red Hat 兼容核的使用提供支持。

警告:

如果想要使用操作系统图形用户界面 (GUI) 安装软件、运行 ArcGIS 软件授权向导或运行“检查更新”工具,则需要 X Window System 包组。

需要以下包组。

Red Hat Enterprise Linux Server 要求

Red Hat Enterprise Linux Server 6 和 7

  • gettext

SUSE Linux Enterprise Server

SUSE Linux Enterprise Server 11 和 12

  • gettext-runtime

Ubuntu Server LTS

Ubuntu Server 16.04 LTS

  • gettext-base

硬件要求

需要 OpenGL 1.5 版本或更高版本。

GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 Esri Business Analyst for Server 的最小 RAM 要求:每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server:16 GB

配置 ArcGIS GeoAnalytics Server 时,确保托管\tmp 目录的驱动器有足够的可用临时空间。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

示例场景:

输入数据大小:100 GB 的 CSV 点要素

ArcGIS GeoAnalytics Server 节点数:5

任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)

建议的磁盘空间:(100 x 100 GB) / 5 = 2 TB/节点

相应增加空间以适应并发 GeoAnalytics 作业。

 

要在目标系统中成功安装 ArcGIS Server,至少需要 10 GB 的可用磁盘空间。安装此产品的过程中,将使用约 1.5 GB 的所需磁盘空间。此临时磁盘将在安装结束后移除。

注:

无法在共享的网络目录(NFS 安装文件夹)中安装 ArcGIS Server。必须使用目标系统的本地目录。

临时空间要求

默认情况下,安装程序的资源文件将提取到系统的 /tmp 目录下。该目录必须已启用读、写和执行权限。如果在 /tmp 目录下所需空间不足,则安装程序会尝试将资源提取到用户的 HOME 目录下。如果在用户的 HOME 目录下所需空间仍不足,则安装程序将报告一个表示此问题的错误。可以选择通过设置 IATEMPDIR 环境变量来指定备用临时位置。

/tmp 目录还可在发布时使用。在通过 Server Manager 上传服务定义 (SD) 文件时,/tmp 目录中将创建与 SD 文件大小相等的文件。文件并非永久存储,而是每小时删除一次。请确保 /tmp 目录具有足够的空间,能够存储要以此方式发布的各个 SD 文件。

默认文件权限

出于安全考虑,默认情况下关闭组和所有用户的所有权限类型(读、写和执行)。

文件句柄和进程的限制

ArcGIS Server 是一种数据密集型的服务器产品,此产品的许多数据格式都包含数以万计的文件。常用系统中,在任意给定的时间内可能有数千或数万个文件正被使用。如果文件句柄和进程数不足,安装请求可能会随机出现失败,从而导致系统停止运行。实际需要的文件句柄数和进程数取决于数据和正在运行的实例(线程/进程)的数量。设置文件句柄限值 65,535 和进程限值 25,059 可以确保系统保持运行。

Linux 中有对文件句柄及进程的软限制和硬限制。要确定硬限制,请使用命令 ulimit -Hn -Hu(如果正在使用 csh 则用 limit -h 描述符)。要确定软限制,请使用命令 ulimit -Sn -Su(如果正在使用 csh 则用 limit 描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限编辑 /etc/security/limits.conf 文件。例如,您可以在文件中添加四行,并将文件和进程限制替换为适合站点的数字:

 

<ArcGIS Server installation user> soft nofile <file limit>
<ArcGIS Server installation user> hard nofile <file limit>
<ArcGIS Server installation user> soft nproc <process limit>
<ArcGIS Server installation user> hard nproc <process limit>

 

做出更改后,需要登出并以特定用户身份重新登录,以便新值生效。要验证限制是否已正确修改,可以使用上述 ulimit -Hn -Hu 和 ulimit -Sn -Su 命令。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

DNS 主机名条目

ArcGIS Server 必须安装在具有域名服务 (DNS) 主机名条目的计算机上。这可能需要站点的系统管理员向网络中的名称服务器添加一个条目,并需要将此名称服务器在系统中的 /etc/resolv.conf 配置文件中列出。

如果要联合站点与 Portal for ArcGIS,建议您配置组织的 DNS,使其包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合 ArcGIS Server 站点与 Portal for ArcGIS,则应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Chrome
  • Firefox
  • Internet Explorer 11
  • Edge

云平台上的 ArcGIS Enterprise

您可以在多个云平台上部署 ArcGIS Enterprise。任何提供满足操作系统基本系统要求和系统规范的虚拟机的云平台都支持与 ArcGIS Enterprise 一起使用。

除基本支持外,Esri 还在两个大众云平台上提供部署工具和预构建的虚拟机映像:Amazon Web Services 和 Microsoft Azure。在这两个云平台上进行部署时,建议您使用专用工具和映像来简化部署和技术支持。

除作为其正常操作一部分的 ArcGIS Enterprise 部署工具所创建和管理内容之外,Esri 不提供配置云基础架构的技术支持。对于 Esri 不提供专用部署工具的云平台,支持仅限于解决特定于软件的问题。

ArcGIS Enterprise 还支持不同的云原生功能,例如多个云平台上的存储和数据库。示例包括 Amazon 简单存储服务 (S3) 和 Microsoft Azure SQL Database。有关支持的原生云功能的信息,请参阅每个 ArcGIS 组件的文档。

 

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 使用 ArcGIS Enterprise 运行第三方应用程序(如关系型数据库)时,该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中可良好运行 ArcGIS Enterprise:

  • VMware vSphere 5.5、6.0 和 6.5
  • Microsoft Hyper-V

有关其他信息,请参阅虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

ArcGIS Server Workgroup 版本中安装了 SQL Server Express,仅支持在 Windows 操作系统中使用。

10.7.X Windows

ArcGIS Notebook Server 有额外的要求。请参阅ArcGIS Notebook Server 系统要求

Microsoft Windows 操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Microsoft Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍可能产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS Server 将不会进行安装。

域控制器上不支持 ArcGIS Server。在域控制器上安装 ArcGIS Server 可能会对功能产生不利影响。

注:

ArcGIS Server 需要 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributables(x86 和 x64)。如果尚未安装 Visual C++ 2017 Redistributables(Update 5 或更高版本),则运行 setup.exe 将在启动 setup.msi 前进行安装。如果尚未安装 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributables(x86 和 x64),则不会安装 setup.msi。

 
受支持的操作系统经测试的最新更新或补丁包

Windows Server 2019 标准版和数据中心版(64 位 [EM64T])

2019 年 4 月更新

Windows Server 2016 标准版和数据中心版(64 位 [EM64T])

2019 年 4 月更新

Windows Server 2012 R2 标准版和数据中心版(64 位 [EM64T])

2019 年 4 月更新

Windows Server 2012 标准版和数据中心版(64 位 [EM64T])

2019 年 4 月更新

Windows Server 2008 R2 标准版、企业版和数据中心版(64 位 [EM64T])*

2019 年 4 月更新的 SP1

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

*由于微软将于 2020 年 1 月 14 日终止对 Windows 7 和 Windows Server 2008 R2 的扩展支持,因此在 2020 年 1 月以后,Windows 7 或 Windows Server 2008 R2 将不再支持 ArcGIS 产品。Esri 强烈建议您在 2020 年 1 月 14 日之前迁移到较新版本的 Windows 上。

注:

Windows 10、8.1 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

 
受支持的操作系统经测试的最新更新或补丁包

Windows 10 专业版和企业版

2019 年 4 月更新

Windows 8.1 专业版和企业版

2019 年 4 月更新

Windows 7 专业版和企业版*

2019 年 4 月更新的 SP1

操作系统要求和限制

Windows

硬件要求

ArcGIS GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 ArcGIS Business Analyst for Server 的最小 RAM 要求为每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server 需要 16 GB。

配置 ArcGIS GeoAnalytics Server 时,请确保托管用户配置文件的驱动器有足够的临时空间可用。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

 

以下示例情景具有以下要求:

 

  • 输入数据大小:100 GB 的 CSV 点要素。
  • ArcGIS GeoAnalytics Server 节点数:3。
  • 任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)
  • 建议的磁盘空间:(100 x 100 GB) / 3 = 3.3 TB/节点。
  • 相应增加空间以适应并发 GeoAnalytics 作业。

 

ArcGIS Server 至少需要 10 GB 的可用硬盘空间。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果要联合站点与 ArcGIS Enterprise 门户,建议您配置组织的域名服务 (DNS),使其包含想要与门户联合的每个站点的完全限制域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合 ArcGIS Server 站点与 ArcGIS Enterprise 门户,应从受信任的 CA 请求证书并配置门户以进行使用。有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能的 Microsoft .NET Framework 要求

.NET 扩展支持功能需要 Microsoft .NET Framework 4.5.2 或更高版本。如果未找到 Microsoft .NET Framework 4.5.2,则无法安装 .NET 扩展模块支持功能。

如果您的操作系统已安装 Microsoft .NET Framework 4.5.2,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5.2,则可从安装介质上进行下载并使用 Windows 功能将其启用。

Microsoft Core XML Services (MSXML) 6

ArcGIS Server 要求安装 Microsoft Core XML Services (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS Server。如果通过 GUI 执行 ArcGIS Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS Server,则必须单独安装 MSXML 6。可从 <ArcGIS ServerInstallation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.16、Numerical Python 1.9.3 和 Matplotlib 1.5.2 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

页面文件大小要求

请确保为 ArcGIS Server 计算机配置了充足的页面文件大小。您应该咨询您的 IT 管理员,或遵照 Microsoft 的最佳做法

使用 ArcGIS GeoAnalytics Server 时,Windows 页面文件在处理内存密集型任务时可使用高达 3X 的可用物理 RAM。为避免系统故障和耗尽磁盘空间,可将页面文件移动至具有至少 3X 可用物理 RAM 空间的卷中。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer 11
  • Microsoft Edge

云平台上的 ArcGIS Enterprise

您可以在多个云平台上部署 ArcGIS Enterprise。任何提供满足操作系统基本系统要求和系统规范的虚拟机的云平台都支持与 ArcGIS Enterprise 一起使用。

除基本支持外,Esri 还在以下两个云平台上提供部署工具和预构建的虚拟机映像:Amazon Web Services (AWS) 和 Microsoft Azure。在这两个云平台上进行部署时,建议您使用专用工具和映像来简化部署和技术支持。

除作为其正常操作的一部分由 ArcGIS Enterprise 部署工具创建和管理的内容外,Esri 不提供配置云基础架构的技术支持。对于 Esri 不提供专用部署工具的云平台,所提供的支持仅限于解决特定于软件的问题。

ArcGIS Enterprise 还支持原生云功能,例如多个云平台上的存储和数据库。示例包括 Amazon Simple Storage Service (S3) 和 Microsoft Azure SQL Database。有关支持的原生云功能的信息,请参阅每个 ArcGIS 组件的文档。

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的操作系统上,就完全支持虚拟环境。以 ArcGIS Enterprise 运行第三方应用程序时(如关系型数据库),该应用程序必须也受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS Enterprise 及其组件:

  • VMware vSphere 6.5、6.7
  • Microsoft Hyper-V

列入上述清单并不意味着支持或更高级别的支持。未在上述列表中列出并不意味着环境或特定版本不受支持,仅表示它不是 Esri 或其合作伙伴已明确测试的环境或版本。

有关其他信息,请参阅虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

ArcGIS Server Workgroup 版本中安装了 SQL Server Express,仅支持在 Windows 操作系统中使用。

10.7.X Linux

ArcGIS Notebook Server 有额外的要求。请参阅ArcGIS Notebook Server 系统要求

Linux 操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。只有 Linux x86_64 平台支持 ArcGIS Server,需采用符合 x86_64 架构(64 位)的 CPU 以及受支持的 Linux 版本。

不支持名称中带有下划线 (_) 的计算机。如果在计算机名称中检测到下划线,安装程序将无法继续。

您无法以根用户身份安装该软件。如果您试图这样做,将无法继续安装,软件诊断工具将显示错误信息,指明您无法以根用户身份进行安装。

 
受支持的操作系统经测试的最新更新或补丁包

Red Hat Enterprise Linux (RHEL) Server 7

Update 6

Red Hat Enterprise Linux Server 6

Update 10

SUSE Linux Enterprise Server 12

补丁包 4

Ubuntu Server LTS 18

18.04.2

Ubuntu Server LTS 16

16.04.6

CentOS Linux 7

7.6

CentOS Linux 6

6.10

Scientific Linux 7

7.6

Scientific Linux 6

6.10

Oracle Linux 7

Update 6

Oracle Linux 6

Update 10

除非另有说明,否则这些操作系统之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Esri 对 CentOS、Scientific Linux 和 Oracle Linux 版本提供技术支持,这些版本会提供与等效支持的 RHEL Server 版本的完整二进制兼容性。作为记录瑕疵的先决条件,会在 RHEL Server 上尝试重新生成任何有关这些操作系统的软件问题。对于 Oracle Linux,将基于 RHEL Server 兼容核的使用提供支持。

警告:

如果想要使用操作系统图形用户界面 (GUI) 安装软件、运行 ArcGIS 软件授权向导或运行“检查更新”工具,则需要 X Window System 包组。

提示:

在 Linux 上运行 ArcGIS Server 的本地化安装程序时,请按照操作系统说明操作,以确保安装相应的语言字体。

需要以下包组。

Red Hat Enterprise Linux Server 要求

Red Hat Enterprise Linux Server 6 和 7

  • gettext

SUSE Linux Enterprise Server

SUSE Linux Enterprise Server 12

  • gettext-runtime

Ubuntu Server LTS

Ubuntu Server 16.04 LTS 和 18.04 LTS

  • gettext-base

硬件要求

ArcGIS GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 ArcGIS Business Analyst for Server 的最小 RAM 要求为每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server 需要 16 GB。

 

配置 ArcGIS GeoAnalytics Server 时,请确保托管 \tmp 目录的驱动器有足够的临时空间可用。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

以下示例情景具有以下要求:

 

  • 输入数据大小:100 GB 的 CSV 点要素。
  • ArcGIS GeoAnalytics Server 节点数:3。
  • 任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)
  • 建议的磁盘空间:(100 x 100 GB) / 3 = 3.3 TB/节点。
  • 相应增加空间以适应并发 GeoAnalytics 作业。

 

要在目标系统中成功安装 ArcGIS Server,至少需要 10 GB 的可用磁盘空间。安装此产品的过程中,将使用约 1.5 GB 的所需磁盘空间。此临时磁盘将在安装结束后移除。

注:

无法在共享的网络目录(NFS 安装文件夹)中安装 ArcGIS Server。必须使用目标系统的本地目录。

临时空间要求

默认情况下,安装程序的资源文件将提取到系统的 /tmp 目录下。该目录必须已启用读、写和执行权限。如果在 /tmp 目录下所需空间不足,则安装程序会尝试将资源提取到用户的 HOME 目录下。如果在用户的 HOME 目录下所需空间仍不足,则安装程序将报告一个表示此问题的错误。可以选择通过设置 IATEMPDIR 环境变量来指定备用临时位置。

/tmp 目录还可在发布时使用。在通过 ArcGIS Server Manager 上传服务定义 (SD) 文件时,/tmp 目录中将创建与 SD 文件大小相等的文件。文件并非永久存储,而是每小时删除一次。请确保 /tmp 目录具有足够的空间,能够存储要以此方式发布的各个 SD 文件。

默认文件权限

出于安全考虑,默认情况下关闭组和所有用户的所有权限类型(读、写和执行)。

文件句柄和进程的限制

ArcGIS Server 是一种数据密集型服务器产品,此产品的许多数据格式都包含数十万计的文件。常用系统中,在任意给定的时间内可能有数千或数万个文件正被使用。如果文件句柄和进程数不足,安装请求可能会随机出现失败,从而导致系统停止运行。实际需要的文件句柄数和进程数取决于数据和正在运行的实例(线程/进程)的数量。设置文件句柄限值 65,535 和进程限值 25,059 可以确保系统保持运行。

Linux 中有对文件句柄及进程的软限制和硬限制。要确定硬限制,请使用命令 ulimit -Hn -Hu(如果正在使用 csh 则用 limit -h descriptors)。要确定软限制,请使用命令 ulimit -Sn -Su(如果正在使用 csh 则用 limit 描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限编辑 /etc/security/limits.conf 文件。例如,您可以在文件中添加以下四行并更改限制的值:

 

<ArcGIS Server installation user> soft nofile <file limit>
<ArcGIS Server installation user> hard nofile <file limit>
<ArcGIS Server installation user> soft nproc <process limit>
<ArcGIS Server installation user> hard nproc <process limit>

 

做出更改后,需要登出并以特定用户身份重新登录,以便新值生效。要验证限制是否已正确修改,可以使用上述 ulimit -Hn -Hu 和 ulimit -Sn -Su 命令。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

DNS 主机名条目

ArcGIS Server 必须安装在具有域名服务 (DNS) 主机名条目的计算机上。这可能需要站点的系统管理员向网络中的名称服务器添加一个条目,并需要将此名称服务器在系统中的 /etc/resolv.conf 配置文件中列出。

如果要联合站点与 ArcGIS Enterprise 门户,建议您配置组织的 DNS,使其包含想要与门户联合的每个站点的完全限定域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SELinux 支持

运行 ArcGIS Server 的计算机支持 Security Enhanced Linux (SELinux) 模块。由于 SELinux 的默认策略可能会阻止 ArcGIS Server 访问内部组件(例如配置存储),因此管理员可能需要修改 SELinux 策略。为此,可临时将 SELinux 策略模式设置为 permissive。这将记录策略的“违规”行为(例如 ArcGIS Server 访问内部目录时所采取的操作),但不会阻止操作进行。管理员可以记录 ArcGIS Server 的这些违规行为,并在将策略模式重置为 enforced 之前修改 SELinux 策略配置以允许此类行为。

SSL 证书

ArcGIS Server 预先配置了自签名的证书,这样,可初始测试服务器并帮助您快速验证是否安装成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

与 ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合 ArcGIS Server 站点与 ArcGIS Enterprise 门户,应从受信任的 CA 请求证书并配置门户以进行使用。有关详细信息,请参阅配置安全环境的最佳做法

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer 11
  • Microsoft Edge

云平台上的 ArcGIS Enterprise

您可以在多个云平台上部署 ArcGIS Enterprise。任何提供满足操作系统基本系统要求和系统规范的虚拟机的云平台都支持与 ArcGIS Enterprise 一起使用。

除基本支持外,Esri 还在以下两个云平台上提供部署工具和预构建的虚拟机映像:Amazon Web Services (AWS) 和 Microsoft Azure。在这两个云平台上进行部署时,建议您使用专用工具和映像来简化部署和技术支持。

除作为其正常操作的一部分由 ArcGIS Enterprise 部署工具创建和管理的内容外,Esri 不提供配置云基础架构的技术支持。对于 Esri 不提供专用部署工具的云平台,所提供的支持仅限于解决特定于软件的问题。

ArcGIS Enterprise 还支持原生云功能,例如多个云平台上的存储和数据库。示例包括 Amazon Simple Storage Service (S3) 和 Microsoft Azure SQL Database。有关支持的原生云功能的信息,请参阅每个 ArcGIS 组件的文档。

 

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的操作系统上,就完全支持虚拟环境。以 ArcGIS Enterprise 运行第三方应用程序时(如关系型数据库),该应用程序必须也受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中能良好运行 ArcGIS Enterprise 及其组件:

  • VMware vSphere 6.5、6.7
  • Microsoft Hyper-V

列入上述清单并不意味着支持或更高级别的支持。未在上述列表中列出并不意味着环境或特定版本不受支持,仅表示它不是 Esri 或其合作伙伴已明确测试的环境或版本。

有关其他信息,请参阅虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

ArcGIS Server Workgroup 版本中安装了 SQL Server Express,仅支持在 Windows 操作系统中使用。

10.8.x Windows

以下64位操作系统满足最低操作系统要求。不支持32位操作系统。仅当操作系统为64位时,设置才会继续进行。

不支持名称中带有下划线(_)的计算机。几个广泛使用的Internet主机名规范已将下划线字符指定为非标准字符。尽管Microsoft Windows允许您在计算机名称中使用下划线,但是当您与其他服务器和平台进行交互时,它可能会引起问题。因此,ArcGIS Server不会安装在主机名带有下划线的服务器上。

域控制器不支持ArcGIS Server。在域控制器上安装ArcGIS Server可能会对功能产生不利影响。

注意:

ArcGIS Enterprise组件要求Microsoft Visual C ++ 2015–2019可再发行(x64)最低版本14.22.27821。从Microsoft网站获取用于Visual Studio 2015–2019 的 Microsoft Visual C ++可再发行文件。

如果尚未安装所需的Visual C ++可再发行组件,则运行ArcGIS Server setup.exe文件将进行安装。运行ArcGIS Server setup.msi文件不会安装它们。因此,要运行ArcGIS Server setup.msi,必须首先安装Microsoft Visual C ++ 2015-2019可再发行组件。

 
支持的操作系统经过测试的最新更新或Service Pack

Windows Server 2019 Standard和Datacenter(64位[EM64T])

2019年11月更新

Windows Server 2016 Standard和数据中心(64位[EM64T])

2019年11月更新

Windows Server 2012 R2 Standard和数据中心(64位[EM64T])

2019年11月更新

Windows Server 2012 Standard和数据中心(64位[EM64T])

2019年11月更新

除非另有说明,否则支持这些操作系统版本上的以前和将来的更新或Service Pack。操作系统版本和更新也必须由操作系统提供程序支持。

注意:

Windows 10和8.1仅支持基本测试和应用程序开发。不建议在生产环境中部署它们。

 
支持的操作系统经过测试的最新更新或Service Pack

Windows 10 Pro和Enterprise(64位[EM64T])

2019年11月更新

Windows 8.1 Pro和Enterprise(64位[EM64T])

2019年11月更新

硬件要求

每台计算机的ArcGIS GIS Server,ArcGIS GeoEvent Server或ArcGIS Image Server的最低RAM要求为 8 GB。

对于生产环境,未列出最低硬件要求,因为软件的用户和业务需求可能会有所不同。在确定满足性能和可伸缩性期望的硬件需求时,必须考虑这些要求。

每台计算机的ArcGIS GeoAnalytics Server至少需要16 GB的RAM。

配置ArcGIS GeoAnalytics Server时,请确保承载用户配置文件的驱动器具有足够的可用临时空间。确定足够的值时,请考虑输入数据大小,GeoAnalytics任务的类型以及站点中的节点数。

ArcGIS Server至少需要10 GB的可用磁盘空间。

防火墙设定

ArcGIS Server在特定端口上进行通信。在安装软件之前,您需要在防火墙上打开这些端口。有关ArcGIS Server通信所需端口的更多信息,请参见 ArcGIS Server使用的端口

域名服务(DNS)和标准域名(FQDN)建议

如果要通过ArcGIS Enterprise门户联合站点,建议配置组织的域名服务(DNS),以为要与门户联合的每个站点包括完全限定域名(FQDN)条目。 联合时,Portal for ArcGIS将请求每个站点的FQDN。

SSL证书

ArcGIS Server配置有自签名证书,该证书使您可以对ArcGIS Server站点进行初始测试,并可以帮助您快速验证安装是否成功。您必须从受信任的证书颁发机构(CA)请求证书,然后配置ArcGIS Server站点以使用它。这可以是您的组织颁发的域证书或CA签名的证书。

与ArcGIS Server一样,Portal for ArcGIS也带有已配置的自签名证书。如果您要建立联盟的ArcGIS Server的与现场的ArcGIS企业门户网站,你应该从受信任的CA请求证书和配置门户来使用它。有关更多信息,请参阅配置安全环境的最佳实践

Microsoft .NET Framework对.NET Extension Support功能的要求

.NET扩展支持功能需要Microsoft .NET Framework 4.5.2或更高版本。如果找不到Microsoft .NET Framework 4.5.2,则.NET扩展支持功能将无法安装。

如果您的操作系统包括Microsoft .NET Framework 4.5.2,请确保使用Windows功能启用了它。如果您的操作系统不包括Microsoft .NET Framework 4.5.2,则可以从安装媒体下载它,并使用Windows功能启用它。

Microsoft核心XML服务(MSXML)6

ArcGIS Server 需要Microsoft Core XML Services(MSXML)6。如果在计算机上未找到MSXML 6,则ArcGIS Server安装将不会继续。如果通过GUI执行ArcGIS Server安装,则安装过程将自动为您安装。如果您以静默方式或在某些部署环境中安装ArcGIS Server,则必须单独安装MSXML 6。在< ArcGIS Server 安装文件夹> \ Support \ MSXML6 \ 64-bit \ msxml6_x64.msi中可以找到MSXML 6设置。

地理处理要求

要支持某些核心地理处理工具,需要使用Python 2.7.16,numeric Python 1.9.3和Matplotlib 1.5.2。如果未检测到这些,安装程序将自动安装它们(推荐)。

页面文件大小要求

确保为ArcGIS Server计算机配置了足够的页面文件大小。您应咨询您的IT管理员或遵循Microsoft的最佳做法

使用ArcGIS GeoAnalytics Server时,在处理占用大量内存的任务时,Windows页面文件最多可以使用3倍的可用物理RAM。为避免系统故障和磁盘空间不足,请将页面文件移动到具有至少3倍物理RAM可用空间的卷。

支持的网络浏览器

ArcGIS Server管理器需要以下Web浏览器之一:

  • 谷歌浏览器
  • 火狐浏览器
  • Microsoft Internet Explorer 11 *
  • 微软Edge

* 此版本不建议将Internet Explorer 11与ArcGIS Enterprise一起使用。Esri强烈建议您转到上面列出的其他浏览器之一。虽然Internet Explorer的 11仍在与当前版本所支持的ArcGIS企业,使用的Internet Explorer 11一般不提倡,并支持将在以后的版本中终止。在取消支持之前,将提供其他通知。

支持的虚拟化环境和云平台

虚拟化和云环境支持对于基本ArcGIS Enterprise部署的所有组件都是相同的 。见ArcGIS的企业云平台支持的虚拟化环境中的ArcGIS企业的详细信息,系统要求。

支持的数据库

有关ArcGIS Server 支持的数据库的信息,请参见支持的数据库管理系统

Workgroup Edition数据库服务器使用SQL Server Express并与ArcGIS Server站点一起使用。这些数据库服务器和ArcGIS Server站点仅在Windows操作系统上受支持。

10.8.x Linux

下面列出了运行ArcGIS Server的系统和硬件要求。 一个诊断工具在安装过程中运行,以帮助您确定您的机器符合最低系统要求。 有关早期版本的信息,请参阅Esri支持

建议您查看弃用通知,以确定您的硬件和软件组件是否仍与10.8版兼容。

ArcGIS Notebook Server有其他要求。请参阅ArcGIS Notebook Server系统要求

Linux作业系统需求

以下64位操作系统满足最低操作系统要求。不支持32位操作系统。仅当操作系统为64位时,设置才会继续进行。

仅在Linux x86_64,遵循x86_64体系结构(64位)的CPU和受支持的Linux版本上支持ArcGIS Server。

不支持名称中带有下划线(_)的计算机。如果在计算机名称中检测到下划线,则设置将不会继续。

该软件不应安装在已修改的OS(二进制)上。Esri不为开发人员在操作系统发行版中安装的产品提供支持。

您不能以root用户身份安装软件。如果尝试执行此操作,则安装将不会继续,并且软件诊断工具将显示错误消息,指示您无法以root用户身份进行安装。

 
支持的操作系统经过测试的最新更新或Service Pack

CentOS Linux 7

7.7

CentOS Linux 6

6.10

Scientific Linux 7

7.7

Scientific Linux 6

6.10

Oracle Linux 7

Update 7

Oracle Linux 6

Update 10

除非另有说明,否则支持这些操作系统版本上的以前和将来的更新或Service Pack。操作系统版本和更新也必须由操作系统提供程序支持。

注意:

Esri技术支持可用于CentOS,Scientific Linux和Oracle Linux版本,这些版本提供与等效的受支持的RHEL Server版本完全的二进制兼容性。作为记录软件缺陷的先决条件,Esri支持将尝试在Red Hat Enterprise Linux Server上重现该问题。对于Oracle Linux,支持使用RHEL Server兼容内核。

 
支持的操作系统经过测试的最新更新或Service Pack

CentOS Linux 7

7.7

CentOS Linux 6

6.10

科学版Linux 7

7.7

科学版Linux 6

6.10

Oracle Linux 7

更新7

Oracle Linux 6

更新10

警告:

如果要安装软件,运行ArcGIS软件授权向导或使用操作系统图形用户界面(GUI)运行检查更新工具,则需要X Window System软件包组。

小费:

在Linux上运行ArcGIS Server的本地化安装时,请按照操作系统说明进行操作,以确保安装了相应的语言字体。

以下软件包组是必需的。

Red Hat Enterprise Linux Server requirements

Red Hat Enterprise Linux Server 6 and 7

  • gettext

SUSE Linux Enterprise Server

SUSE Linux Enterprise Server 12

  • gettext-runtime

Ubuntu Server LTS

Ubuntu Server 16.04 LTS and 18.04 LTS

  • gettext-base

硬件要求

每台计算机的ArcGIS GIS Server,ArcGIS GeoEvent Server或ArcGIS Image Server的最低RAM要求为 8 GB。

对于生产环境,未列出最低硬件要求,因为软件的用户和业务需求可能会有所不同。在确定满足性能和可伸缩性期望的硬件需求时,必须考虑这些要求。

每台计算机的ArcGIS GeoAnalytics Server至少需要16 GB的RAM。

配置ArcGIS GeoAnalytics Server时,请确保承载\ tmp目录的驱动器具有足够的可用临时空间。确定足够的值时,请考虑输入数据大小,GeoAnalytics任务的类型以及站点中的节点数。

ArcGIS Server至少需要10 GB的可用磁盘空间才能成功安装在目标系统上。在安装此产品期间,大约需要使用1.5 GB的磁盘空间。在安装结束时,将删除此临时磁盘使用。

注意:

您不能在共享网络目录(NFS挂载文件夹)上安装ArcGIS Server。该目录必须在目标系统上是本地的。

临时空间要求

默认情况下,资源被提取到系统/ tmp目录中。此目录必须具有读取,写入和执行权限。如果/ tmp目录中没有所需的空间,则安装程序将尝试将资源提取到用户的HOME目录。如果所需的空间在用户的HOME目录中不可用,安装程序将报告一个错误,指出此问题。(可选)您可以通过设置IATEMPDIR环境变量来指定备用温度位置。

在/ tmp目录发布目录时也使用。通过ArcGIS Server管理器上传服务定义(SD)文件时,将在/ tmp目录中创建与SD文件大小相等的文件。文件不是永久存储的,而是每小时删除一次。确保 / tmp目录有足够的空间可用于以这种方式发布各个SD文件。

默认文件权限

由于安全原因,默认情况下,组和所有用户的所有权限类型(读取,写入和执行)都处于关闭状态。

文件句柄和进程限制

ArcGIS Server是一种数据密集型服务器产品,其许多数据格式包含成千上万个文件。在频繁使用的系统中,任何给定时间都可能使用成千上万个文件。如果没有足够的文件句柄和进程,请求可能会随机开始失败,从而导致系统停机。所需的文件句柄和进程的实际数量根据数据和运行的实例(线程/进程)的数量而异。将文件句柄限制设置为65,535,将进程限制设置为25,059,可以确保系统保持运行状态。

Linux上的文件句柄和进程有软硬限制。要确定硬限制,请使用ulimit -Hn -Hu(如果使用csh ,则使用limit -h描述符)。要确定软限制,请使用ulimit -Sn -Su(如果使用csh,则使用限制描述符)。

要增加软限制和硬限制,您需要使用超级用户访问权限来编辑/etc/security/limits.conf文件。例如,您可以按如下所示在文件中添加四行,并更改限制值:

<ArcGIS Server installation user> soft nofile <file limit>
<ArcGIS Server installation user> hard nofile <file limit>
<ArcGIS Server installation user> soft nproc <process limit>
<ArcGIS Server installation user> hard nproc <process limit>

进行此更改后,您需要注销并使用特定用户重新登录,以使新值生效。要验证是否已适当修改了限制,请使用如上所述的ulimit -Hn -Hu和ulimit -Sn -Su命令。

防火墙设定

ArcGIS Server在特定端口上进行通信。在安装软件之前,您需要在防火墙上打开这些端口。有关ArcGIS Server通信所需端口的更多信息,请参见 ArcGIS Server使用的端口

DNS主机名条目

必须将ArcGIS Server安装在具有域名服务(DNS)主机名条目的计算机上。这可能需要站点的系统管理员将条目添加到其网络中的名称服务器,并且该名称服务器将列在系统上的/etc/resolv.conf配置文件中。

如果要使用ArcGIS Enterprise门户联合站点,建议您配置组织的DNS,以为打算与门户联合的每个站点包括完全限定域名(FQDN)条目。 联合时,Portal for ArcGIS将请求每个站点的FQDN。

SELinux支持

运行ArcGIS Server的计算机上支持安全性增强Linux(SELinux)模块。由于SELinux的默认策略可能会阻止ArcGIS Server访问内部组件(例如配置存储),因此管理员可能需要修改SELinux策略。为此,将SELinux策略模式临时设置为permissive。这将记录违反策略的行为,例如ArcGIS Server为访问内部目录而采取的操作,但将允许发生这些行为。管理员可以通过ArcGIS Server记录这些违规行为,并在将策略模式重置为“ 强制”之前修改SELinux策略配置以允许它们。

SSL证书

ArcGIS Server配置有自签名证书,该证书使您可以对ArcGIS Server站点进行初始测试,并可以帮助您快速验证安装是否成功。您必须从受信任的证书颁发机构(CA)请求证书,然后配置ArcGIS Server站点以使用它。这可以是您的组织颁发的域证书或CA签名的证书。

与ArcGIS Server一样,Portal for ArcGIS也带有已配置的自签名证书。如果您要建立联盟的ArcGIS Server的与现场的ArcGIS企业门户网站,你应该从受信任的CA请求证书和配置门户来使用它。有关更多信息,请参阅配置安全环境的最佳实践

支持的网络浏览器

ArcGIS Server管理器需要以下Web浏览器之一:

  • 谷歌浏览器
  • 火狐浏览器
  • Microsoft Internet Explorer 11 *
  • 微软Edge

* 此版本不建议将Internet Explorer 11与ArcGIS Enterprise一起使用。Esri强烈建议您转到上面列出的其他浏览器之一。虽然Internet Explorer的 11仍在与当前版本所支持的ArcGIS企业,使用的Internet Explorer 11一般不提倡,并支持将在以后的版本中终止。在取消支持之前,将提供其他通知。

支持的虚拟化环境和云平台

虚拟化和云环境支持对于基本ArcGIS Enterprise部署的所有组件都是相同的 。见ArcGIS的企业云平台支持的虚拟化环境中的ArcGIS企业的详细信息,系统要求。

支持的数据库

有关ArcGIS Server 支持的数据库的信息,请参见支持的数据库管理系统

Workgroup Edition数据库服务器使用SQL Server Express并与ArcGIS Server站点一起使用。这些数据库服务器和ArcGIS Server站点仅在Windows操作系统上受支持。

 

  • 0
    点赞
  • 0
    评论
  • 1
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 终极编程指南 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值